Windows Powershell 介绍和安装

Tags: powershell

Powershell 是运行在windows机器上实现系统和应用程序管理自动化的命令行脚本环境。你可以把它看成是命令行提示符cmd.exe的扩充,不对,应当是颠覆。 powershell需要.NET环境的支持,同时支持.NET对象。微软之所以将Powershell 定位为Power,并不是夸大其词,因为它完全支持对象。其可读性,易用性,可以位居当前所有shell之首。 当前powershell有四版本,分别为1.0,2.0,3.0 ,4.0

如果您的系统是window7或者Windows Server 2008,那么PowerShell 2.0已经内置了,可以升级为3.0,4.0。
如果您的系统是Windows 8 或者Windows server 2012,那么PowerShell 3.0已经内置了,可以升级为4.0。
如果您的系统为Windows 8.1或者Windows server 2012 R2,那默认已经是4.0了。

Powershell 1.0 下载地址

Powershell 2.0 下载地址

powershell3.0

介绍

Powershell 3.0将会内置在Windows 8 client 和windows server 2012.

如果获取Powershell3.0呢?

内置:一旦装上了windows 8 client 或者 windows 2012 server 默认的Powershell版本就是Powershell 3.0 。如果你想使用Powershell2.0 需要重新下载。
下载:如果你的机器是 windows server 2008 或者 windows server 2008 R2,再或者是win7,也可以下载Powershell 3.0.,不过Powershell 3.0 需要 .NET 4.0的支持。

Powershell 3.0 将会作为Windows Management Framework 3.0的一部分。

这里列出一些Powershell 3.0 的新特性

Powershell 工作流
增强会话灾难恢复
语法简洁方便
增强了cmdlet的查找和自动导入模块的功能
提供了对webservice强大支持
ISE命令加载项

下载

powershell4.0

介绍

Windows Management Framework 4.0 安装包,现在支持下载和安装了。WMF4.0 可以让你在许多微软旧版本的操作系统上,利用Windows8.1和Windows Server 2012 R2中的管理技术。正式版与之前的预览版相比,包含了许多改进,客户在安装和使用之前,请确保仔细阅读了这篇文章,特别是WMF4.0与一些旧版本的Windows 服务器产品不兼容。

Windows Management Framework 4.0 预览版是今年7月份公布的,当时我们非常兴奋更够在社区中讨论它的用武之地,那现在,它只会变得更好。

WMF4.0可以安装在Windows 7 SP1,Windows Server 2008 R2 SP1, Windows Server 2012 和 Windows CE7上。需要注意的是,WMF4.0 无法安装到Windows 8上,但是你可以通过Windows Update来获取Windows 8.1的免费更新,该更新包含了WMF4.0。对于WMF4.0来说,NET4.5是一个额外的先决条件,请确保在安装WMF4.0之前,您的机器上已经安装了.NET4.5,否则会议静默的方式显示安装失败。

WMF 4.0 包含以下功能的更新版本:

Windows PowerShell
Windows PowerShell Integrated Scripting Environment (ISE)
Windows PowerShell Web Services (Management OData IIS Extension)
Windows Remote Management (WinRM)
Windows Management Infrastructure (WMI)
另外在 WMF 4.0我们还增加了一个令人振奋的新功能:

Windows PowerShell Desired State Configuration (DSC)
要使用此更新的管理基础设施来管理Windows 7 SP1,Windows CE7,Windows Server 2008 R2 SP1,和 Windows Server 2012,WMF4.o 必须安装在以前发布过的操作系统中。

连同每个操作系统的软件包,我们提供了一组发行说明和一些额外的DSC快速参考。它们包含了许多很有用的信息,比如一些已知问题,和它们的变通方法,还有一些与其他应用程式的兼容问题。所以鼓励大家下载并阅读。

在安装了WMF4.0 之后,要将操作系统更新,例如:从Windows7升级到Windows8,或者从Windows Server 2012升级到Windows Server 2012 R2.这些升级的方案都可能会碰到一些已经记载在发行说明中的已知问题。对您的操作系统进行升级前,请务必阅读升级发行说明,并准备执行一些额外的步骤,或者卸载WMF4.0。

同样WMF4.0 不支持从之前发布的预览版升级到现在的正式版,如果你的机器中已经包含了预览版,请卸载后重新安装WMF4.0正式版。

注意: 并不是所有的Microsoft服务器应用程序目前与WMF4.0兼容。所以安装WMF4.0前,请务必阅读WMF4.0的版本说明。具体来说下面的服务器应用程序暂时不兼容WMF4.0。

System Center 2012 Configuration Manager (not including SP1)
System Center Virtual Machine Manager 2008 R2 (including SP1)
Microsoft Exchange Server 2013, Microsoft Exchange Server 2010 and Microsoft Exchange Server 2007
Microsoft SharePoint 2013 and Microsoft SharePoint 2010
Windows Small Business Server 2011Standard
我们承认,仍然有一些管理Windows Server 2008的需求, Windows Management Framework 3.0  (WMF3.0)仍然适用 Windows Server 2008.

下载

本文链接:http://www.4byte.cn/learning/1410.html